
%global _hardened_build 1

Summary: LightDM KDE Greeter
Name:	 lightdm-kde
Version: 0.3.2.1
Release: 2%{?dist}

# Most files GPLv3+, handful LGPLv2+ (but those can upgrade to GPLv3+)
License: GPLv3+
URL:	 https://projects.kde.org/projects/playground/base/lightdm
Source0: http://download.kde.org/unstable/lightdm-kde/src/lightdm-kde-%{version}.tar.bz2

Source10: lightdm-kde-greeter.conf

BuildRequires: gettext
BuildRequires: intltool
BuildRequires: kdelibs4-devel
BuildRequires: pkgconfig(liblightdm-qt-2) >= 1.3.2

Obsoletes: lightdm-kde-greeter < 0.1.1-2
Provides:  lightdm-kde-greeter = %{version}-%{release}

Provides: lightdm-greeter = 1.2
Requires: lightdm
# for kcmshell4
Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

# /usr/share/backgrounds/default.png
Requires: desktop-backgrounds-compat
# /usr/share/pixmaps/fedora-logo-small.png
Requires: system-logos

Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives


%description
A LightDM greeter for KDE.


%prep
%setup -q -n lightdm-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

install -m644 -p -D %{SOURCE10} \
  %{buildroot}%{_sysconfdir}/lightdm/lightdm-kde-greeter.conf

%find_lang %{name} --all-name --with-kde

# own alternatives target
touch %{buildroot}%{_datadir}/xgreeters/lightdm-greeter.desktop

%post
%{_sbindir}/update-alternatives \
  --install %{_datadir}/xgreeters/lightdm-greeter.desktop \
  lightdm-greeter \
  %{_datadir}/xgreeters/lightdm-kde-greeter.desktop \
  10

%postun
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
  --remove lightdm-greeter \
  %{_datadir}/xgreeters/lightdm-kde-greeter.desktop
fi

%files -f %{name}.lang
%doc COPYING NEWS
%config(noreplace) %{_sysconfdir}/lightdm/lightdm-kde-greeter.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmlightdm.conf
%{_kde4_libdir}/kde4/kcm_lightdm.so
%{_kde4_libexecdir}/kcmlightdmhelper
%{_kde4_libexecdir}/lightdm-kde-greeter-rootimage
%{_sbindir}/lightdm-kde-greeter
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmlightdm.service
%{_kde4_appsdir}/lightdm-kde-greeter/
%{_kde4_datadir}/kde4/services/kcm_lightdm.desktop
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmlightdm.policy
%{_datadir}/xgreeters/lightdm-kde-greeter.desktop
# own alternatives target
%ghost %{_datadir}/xgreeters/lightdm-greeter.desktop


%changelog
* Thu Apr 25 2013 Rex Dieter <rdieter@fedoraproject.org> 0.3.2.1-2
- lightdm package should be built with PIE flags (#955147)

* Thu Apr 18 2013 Gregor Tätzner <brummbq@fedoraproject.org> - 0.3.2.1-1
- 0.3.2.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 18 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-1
- 0.3.1

* Wed Nov 28 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-2
- include default %%config /etc/lightdm/lightdm-kde-greeter.conf

* Mon Aug 20 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- lightdm-kde-0.3.0

* Tue Jul 31 2012 Rex Dieter <rdieter@fedoraproject.org> 0.2.1-1
- lightdm-kde-0.2.1

* Sat Jul 21 2012 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-1
- lightdm-kde-0.2.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-6
- try using alternatives

* Tue Jun 12 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-5
- Provides: lightdm-greeter = 1.2

* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-4
- fix Source url (http vs https)

* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-3
- %%doc COPYING NEWS
- %%config dbus conf
- License: GPLv3+

* Wed Apr 25 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-2
- Requires: lightdm

* Wed Apr 25 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-1
- first try

